# Uses of Class
org.apache.sysds.parser.FunctionDictionary

Packages that use FunctionDictionary
Package
Description
org.apache.sysds.parser
org.apache.sysds.parser.dml
org.apache.sysds.runtime.controlprogram

## Uses of FunctionDictionary in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return FunctionDictionary
Modifier and Type
Method
Description
`FunctionDictionary<FunctionStatementBlock>`
DMLProgram.`createNamespace(String namespace)`
`FunctionDictionary<FunctionStatementBlock>`
DMLProgram.`getBuiltinFunctionDictionary()`
`FunctionDictionary<FunctionStatementBlock>`
DMLProgram.`getDefaultFunctionDictionary()`
`FunctionDictionary<FunctionStatementBlock>`
DMLProgram.`getFunctionDictionary(String namespace)`
Methods in org.apache.sysds.parser that return types with arguments of type FunctionDictionary
Modifier and Type
Method
Description
`Map<String,FunctionDictionary<FunctionStatementBlock>>`
DMLProgram.`getNamespaces()`
Methods in org.apache.sysds.parser with parameters of type FunctionDictionary
Modifier and Type
Method
Description
`void`
FunctionDictionary.`merge(FunctionDictionary<T> that)`

## Uses of FunctionDictionary in org.apache.sysds.parser.dml

Fields in org.apache.sysds.parser.dml with type parameters of type FunctionDictionary
Modifier and Type
Field
Description
`HashMap<String,FunctionDictionary<FunctionStatementBlock>>`
StatementInfo.`namespaces`
Methods in org.apache.sysds.parser.dml that return FunctionDictionary
Modifier and Type
Method
Description
`FunctionDictionary<FunctionStatementBlock>`
DmlSyntacticValidator.`getParsedBuiltinFunctions()`
Methods in org.apache.sysds.parser.dml that return types with arguments of type FunctionDictionary
Modifier and Type
Method
Description
`Map<String,FunctionDictionary<FunctionStatementBlock>>`
DmlSyntacticValidator.`getParsedBuiltinFunctionsNs()`

## Uses of FunctionDictionary in org.apache.sysds.runtime.controlprogram

Methods in org.apache.sysds.runtime.controlprogram that return FunctionDictionary
Modifier and Type
Method
Description
`FunctionDictionary<FunctionProgramBlock>`
Program.`getFunctionProgramBlocks(String nsName)`